Run evaluation
curl --request POST \
--url https://api.mixpeek.com/v1/retrievers/{retriever_id}/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_name": "<string>",
"evaluation_config": {
"k_values": [
1,
5,
10,
20
],
"metrics": [
"precision",
"recall",
"f1",
"map",
"ndcg",
"mrr"
]
}
}
'import requests
url = "https://api.mixpeek.com/v1/retrievers/{retriever_id}/evaluations"
payload = {
"dataset_name": "<string>",
"evaluation_config": {
"k_values": [1, 5, 10, 20],
"metrics": ["precision", "recall", "f1", "map", "ndcg", "mrr"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_name: '<string>',
evaluation_config: {
k_values: [1, 5, 10, 20],
metrics: ['precision', 'recall', 'f1', 'map', 'ndcg', 'mrr']
}
})
};
fetch('https://api.mixpeek.com/v1/retrievers/{retriever_id}/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"evaluation_id": "<string>",
"created_at": "<string>",
"task_type": "retriever.evaluation",
"status": "pending"
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Evaluations
Run evaluation
Evaluate a retriever’s quality using a ground truth dataset. Returns immediately with a task ID - evaluation runs asynchronously.
POST
/
v1
/
retrievers
/
{retriever_id}
/
evaluations
Run evaluation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?
⌘I

